# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.19)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget mirtk::LibCommon mirtk::LibNumerics mirtk::LibImage mirtk::LibIO mirtk::LibTransformation mirtk::LibRegistration mirtk::info mirtk::aggregate-images mirtk::average-images mirtk::calculate-element-wise mirtk::calculate-distance-map mirtk::calculate-exponential-map mirtk::calculate-lie-bracket mirtk::calculate-logarithmic-map mirtk::close-image mirtk::combine-images mirtk::convert-image mirtk::cut-brain mirtk::detect-edges mirtk::dilate-image mirtk::downsample-image mirtk::edit-image mirtk::erode-image mirtk::evaluate-label-overlap mirtk::evaluate-overlap mirtk::extract-connected-components mirtk::extract-image-region mirtk::flip-image mirtk::match-histogram mirtk::open-image mirtk::reflect-image mirtk::resample-image mirtk::smooth-image mirtk::subdivide-brain-image mirtk::detect-cardiac-phases mirtk::auto-contrast mirtk::evaluate-similarity mirtk::register mirtk::edit-dof mirtk::invert-dof mirtk::average-dofs mirtk::bisect-dof mirtk::compose-dofs mirtk::convert-dof mirtk::evaluate-dof mirtk::evaluate-jacobian mirtk::init-dof mirtk::random-dof mirtk::transform-image)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target mirtk::LibCommon
add_library(mirtk::LibCommon SHARED IMPORTED)

set_target_properties(mirtk::LibCommon PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "VTK::CommonCore;VTK::CommonDataModel;/usr/lib/libz.so"
)

# Create imported target mirtk::LibNumerics
add_library(mirtk::LibNumerics SHARED IMPORTED)

set_target_properties(mirtk::LibNumerics PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "mirtk::LibCommon;VTK::CommonCore;VTK::CommonDataModel;VTK::IOGeometry;VTK::IOLegacy;VTK::IOPLY;VTK::IOXML"
)

# Create imported target mirtk::LibImage
add_library(mirtk::LibImage SHARED IMPORTED)

set_target_properties(mirtk::LibImage PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "mirtk::LibCommon;mirtk::LibNumerics;VTK::CommonCore;VTK::CommonDataModel;VTK::IOLegacy;VTK::IOXML"
)

# Create imported target mirtk::LibIO
add_library(mirtk::LibIO SHARED IMPORTED)

set_target_properties(mirtk::LibIO PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "mirtk::LibCommon;mirtk::LibNumerics;mirtk::LibImage;VTK::CommonCore;VTK::IOGeometry;VTK::IOLegacy;VTK::IOPLY;VTK::IOXML;/usr/local/lib/libexpat.so;/usr/lib/libz.so"
)

# Create imported target mirtk::LibTransformation
add_library(mirtk::LibTransformation SHARED IMPORTED)

set_target_properties(mirtk::LibTransformation PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "mirtk::LibCommon;mirtk::LibNumerics;mirtk::LibImage;VTK::CommonCore;VTK::CommonDataModel"
)

# Create imported target mirtk::LibRegistration
add_library(mirtk::LibRegistration SHARED IMPORTED)

set_target_properties(mirtk::LibRegistration PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "mirtk::LibCommon;mirtk::LibNumerics;mirtk::LibImage;mirtk::LibTransformation"
)

# Create imported target mirtk::info
add_executable(mirtk::info IMPORTED)

# Create imported target mirtk::aggregate-images
add_executable(mirtk::aggregate-images IMPORTED)

# Create imported target mirtk::average-images
add_executable(mirtk::average-images IMPORTED)

# Create imported target mirtk::calculate-element-wise
add_executable(mirtk::calculate-element-wise IMPORTED)

# Create imported target mirtk::calculate-distance-map
add_executable(mirtk::calculate-distance-map IMPORTED)

# Create imported target mirtk::calculate-exponential-map
add_executable(mirtk::calculate-exponential-map IMPORTED)

# Create imported target mirtk::calculate-lie-bracket
add_executable(mirtk::calculate-lie-bracket IMPORTED)

# Create imported target mirtk::calculate-logarithmic-map
add_executable(mirtk::calculate-logarithmic-map IMPORTED)

# Create imported target mirtk::close-image
add_executable(mirtk::close-image IMPORTED)

# Create imported target mirtk::combine-images
add_executable(mirtk::combine-images IMPORTED)

# Create imported target mirtk::convert-image
add_executable(mirtk::convert-image IMPORTED)

# Create imported target mirtk::cut-brain
add_executable(mirtk::cut-brain IMPORTED)

# Create imported target mirtk::detect-edges
add_executable(mirtk::detect-edges IMPORTED)

# Create imported target mirtk::dilate-image
add_executable(mirtk::dilate-image IMPORTED)

# Create imported target mirtk::downsample-image
add_executable(mirtk::downsample-image IMPORTED)

# Create imported target mirtk::edit-image
add_executable(mirtk::edit-image IMPORTED)

# Create imported target mirtk::erode-image
add_executable(mirtk::erode-image IMPORTED)

# Create imported target mirtk::evaluate-label-overlap
add_executable(mirtk::evaluate-label-overlap IMPORTED)

# Create imported target mirtk::evaluate-overlap
add_executable(mirtk::evaluate-overlap IMPORTED)

# Create imported target mirtk::extract-connected-components
add_executable(mirtk::extract-connected-components IMPORTED)

# Create imported target mirtk::extract-image-region
add_executable(mirtk::extract-image-region IMPORTED)

# Create imported target mirtk::flip-image
add_executable(mirtk::flip-image IMPORTED)

# Create imported target mirtk::match-histogram
add_executable(mirtk::match-histogram IMPORTED)

# Create imported target mirtk::open-image
add_executable(mirtk::open-image IMPORTED)

# Create imported target mirtk::reflect-image
add_executable(mirtk::reflect-image IMPORTED)

# Create imported target mirtk::resample-image
add_executable(mirtk::resample-image IMPORTED)

# Create imported target mirtk::smooth-image
add_executable(mirtk::smooth-image IMPORTED)

# Create imported target mirtk::subdivide-brain-image
add_executable(mirtk::subdivide-brain-image IMPORTED)

# Create imported target mirtk::detect-cardiac-phases
add_executable(mirtk::detect-cardiac-phases IMPORTED)

# Create imported target mirtk::auto-contrast
add_executable(mirtk::auto-contrast IMPORTED)

# Create imported target mirtk::evaluate-similarity
add_executable(mirtk::evaluate-similarity IMPORTED)

# Create imported target mirtk::register
add_executable(mirtk::register IMPORTED)

# Create imported target mirtk::edit-dof
add_executable(mirtk::edit-dof IMPORTED)

# Create imported target mirtk::invert-dof
add_executable(mirtk::invert-dof IMPORTED)

# Create imported target mirtk::average-dofs
add_executable(mirtk::average-dofs IMPORTED)

# Create imported target mirtk::bisect-dof
add_executable(mirtk::bisect-dof IMPORTED)

# Create imported target mirtk::compose-dofs
add_executable(mirtk::compose-dofs IMPORTED)

# Create imported target mirtk::convert-dof
add_executable(mirtk::convert-dof IMPORTED)

# Create imported target mirtk::evaluate-dof
add_executable(mirtk::evaluate-dof IMPORTED)

# Create imported target mirtk::evaluate-jacobian
add_executable(mirtk::evaluate-jacobian IMPORTED)

# Create imported target mirtk::init-dof
add_executable(mirtk::init-dof IMPORTED)

# Create imported target mirtk::random-dof
add_executable(mirtk::random-dof IMPORTED)

# Create imported target mirtk::transform-image
add_executable(mirtk::transform-image IMPORTED)

if(CMAKE_VERSION VERSION_LESS 2.8.12)
  message(FATAL_ERROR "This file relies on consumers using CMake 2.8.12 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/MIRTKTargets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
